﻿namespace TaskPlanner.BusinessLogic.Interfaces
{
	using TaskPlanner.Core;

	/// <summary>
	/// Represents a facade to access business logic objects.
	/// </summary>
	public static class BusinessLogicFacade
	{
		#region Properties
		/// <summary>
		/// Gets the database manager.
		/// </summary>
		/// <value>The database manager.</value>
		public static IDatabaseManager DatabaseManager
		{
			get
			{
				return ServiceLocator.Instance.Resolve<IDatabaseManager>();
			}
		}

		/// <summary>
		/// Gets the task manager.
		/// </summary>
		/// <value>The task manager.</value>
		public static ITaskManager TaskManager
		{
			get
			{
				return ServiceLocator.Instance.Resolve<ITaskManager>();
			}
		}

		/// <summary>
		/// Gets the category manger.
		/// </summary>
		/// <value>The category manger.</value>
		public static ICategoryManager CategoryManger
		{
			get
			{
				return ServiceLocator.Instance.Resolve<ICategoryManager>();
			}
		}
		#endregion
	}
}
