﻿namespace TaskPlanner.BusinessLogic.Interfaces
{
	using System;
	using TaskPlanner.Entities;

	/// <summary>
	/// Represents event args of request of task correction.
	/// </summary>
	public class TaskCorrectionRequestedEventArgs : EventArgs
	{
		#region Fields
		private Task _originalTask;
		private Task _correctedTask;
		private TaskCorrectionReason _correctionReason;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the original task.
		/// </summary>
		/// <value>The original task.</value>
		public Task OriginalTask
		{
			get
			{
				return _originalTask;
			}

			set
			{
				_originalTask = value;
			}
		}

		/// <summary>
		/// Gets or sets the corrected task.
		/// </summary>
		/// <value>The corrected task.</value>
		public Task CorrectedTask
		{
			get
			{
				return _correctedTask;
			}

			set
			{
				_correctedTask = value;
			}
		}

		/// <summary>
		/// Gets or sets the correction reason.
		/// </summary>
		/// <value>The correction reason.</value>
		public TaskCorrectionReason CorrectionReason
		{
			get
			{
				return _correctionReason;
			}

			set
			{
				_correctionReason = value;
			}
		}
		#endregion
	}
}
