﻿namespace TaskPlanner.BusinessLogic.Test
{
	using System;
	using Microsoft.VisualStudio.TestTools.UnitTesting;
	using TaskPlanner.BusinessLogic;
	using TaskPlanner.BusinessLogic.Test.Mocks;
	using TaskPlanner.Repository.Interfaces;

	/// <summary>
	/// This is a test class for CategoryManagerTest and is intended
	/// to contain all CategoryManagerTest Unit Tests.
	/// </summary>
	[TestClass()]
	public class CategoryManagerTest
	{
		#region Fields
		private TestContext _testContextInstance;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the test context which provides
		/// information about and functionality for the current test run.
		/// </summary>
		/// <value>The test context.</value>
		public TestContext TestContext
		{
			get
			{
				return _testContextInstance;
			}

			set
			{
				_testContextInstance = value;
			}
		}
		#endregion

		#region Methods
		/// <summary>
		/// A test for GetAllCategories.
		/// </summary>
		[TestMethod()]
		public void GetAllCategoriesTest()
		{
			CategoryRepository categoryRepository = new CategoryRepository();
			CategoryManager target = new CategoryManager(categoryRepository);
			target.GetAllCategories();
			Assert.IsTrue(categoryRepository.IsGetAllCategoriesCalled);
		}

		/// <summary>
		/// A test for CategoryManager Constructor.
		/// </summary>
		[TestMethod()]
		public void CategoryManagerConstructorTest()
		{
			ICategoryRepository categoryRepository = null;
			Utils.AssertException(() => new CategoryManager(categoryRepository), typeof(ArgumentNullException));
		}
		#endregion
	}
}
