﻿namespace TaskPlanner.BusinessLogic.Test
{
	using System;
	using Microsoft.VisualStudio.TestTools.UnitTesting;
	using TaskPlanner.BusinessLogic;
	using TaskPlanner.BusinessLogic.Test.Mocks;
	using TaskPlanner.Repository.Interfaces;

	/// <summary>
	/// This is a test class for DatabaseManagerTest and is intended
	/// to contain all DatabaseManagerTest Unit Tests.
	/// </summary>
	[TestClass()]
	public class DatabaseManagerTest
	{
		#region Fields
		private TestContext _testContextInstance;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the test context which provides
		/// information about and functionality for the current test run.
		/// </summary>
		/// <value>The test context.</value>
		public TestContext TestContext
		{
			get
			{
				return _testContextInstance;
			}

			set
			{
				_testContextInstance = value;
			}
		}
		#endregion

		#region Methods
		/// <summary>
		/// A test for EnsureDatabaseHasLatestSchema.
		/// </summary>
		[TestMethod()]
		public void EnsureDatabaseHasLatestSchemaTest()
		{
			DataHelper dataHelper = new DataHelper();
			DatabaseManager target = new DatabaseManager(dataHelper);
			target.EnsureDatabaseHasLatestSchema();
			Assert.IsTrue(dataHelper.IsEnsureDatabaseHasLatestSchemaCalled);
		}

		/// <summary>
		/// A test for DatabaseManager Constructor.
		/// </summary>
		[TestMethod()]
		public void DatabaseManagerConstructorTest()
		{
			IDataHelper dataHelper = null;
			Utils.AssertException(() => new DatabaseManager(dataHelper), typeof(ArgumentNullException));
		}
		#endregion
	}
}
