﻿namespace TaskPlanner.BusinessLogic.Test.Mocks
{
	using System.Collections.ObjectModel;
	using TaskPlanner.Repository.Interfaces;

	/// <summary>
	/// Represents a mock for category repository.
	/// </summary>
	internal class CategoryRepository : ICategoryRepository
	{
		#region Fields
		private bool _isGetAllCategoriesCalled;
		#endregion

		#region Properties
		/// <summary>
		/// Gets a value indicating whether method GetAllCategories was called.
		/// </summary>
		/// <value>
		/// 	<c>True</c> if method GetAllCategories was called; otherwise, <c>false</c>.
		/// </value>
		internal bool IsGetAllCategoriesCalled
		{
			get
			{
				return _isGetAllCategoriesCalled;
			}
		}
		#endregion

		#region Methods
		/// <summary>
		/// Gets all categories.
		/// </summary>
		/// <returns>All categories in database.</returns>
		public Collection<string> GetAllCategories()
		{
			_isGetAllCategoriesCalled = true;
			return new Collection<string>();
		}
		#endregion
	}
}
