﻿namespace TaskPlanner.BusinessLogic.Test.Mocks
{
	using TaskPlanner.Repository.Interfaces;

	/// <summary>
	/// Represents a mock for data helper.
	/// </summary>
	internal class DataHelper : IDataHelper
	{
		#region Fields
		private bool _isEnsureDatabaseHasLatestSchemaCalled;
		#endregion

		#region Properties
		/// <summary>
		/// Gets a value indicating whether this instance is ensure database has latest schema called.
		/// </summary>
		/// <value>
		/// 	<c>True</c> if this instance is ensure database has latest schema called; otherwise, <c>false</c>.
		/// </value>
		internal bool IsEnsureDatabaseHasLatestSchemaCalled
		{
			get
			{
				return _isEnsureDatabaseHasLatestSchemaCalled;
			}
		}
		#endregion

		#region Methods
		/// <summary>
		/// Ensures the database has latest schema.
		/// </summary>
		public void EnsureDatabaseHasLatestSchema()
		{
			_isEnsureDatabaseHasLatestSchemaCalled = true;
		}
		#endregion
	}
}
