﻿namespace TaskPlanner.BusinessLogic.Test
{
	using System;
	using Microsoft.VisualStudio.TestTools.UnitTesting;

	/// <summary>
	/// Utilities useful for unit tests.
	/// </summary>
	public static class Utils
	{
		#region Methods
		/// <summary>
		/// Asserts the exception.
		/// </summary>
		/// <param name="action">The action.</param>
		/// <param name="expectedExceptionType">Expected type of the exception.</param>
		public static void AssertException(Action action, Type expectedExceptionType)
		{
			bool exceptionThrown = false;
			try
			{
				action();
			}
			catch (Exception ex)
			{
				exceptionThrown = true;
				Assert.IsInstanceOfType(ex, expectedExceptionType);
			}
			Assert.IsTrue(exceptionThrown);
		}
		#endregion
	}
}
