﻿namespace TaskPlanner.BusinessLogic
{
	using System;
	using System.Collections.ObjectModel;
	using TaskPlanner.BusinessLogic.Interfaces;
	using TaskPlanner.Repository.Interfaces;

	/// <summary>
	/// Represents the operations with categories.
	/// </summary>
	public class CategoryManager : ICategoryManager
	{
		#region Fields
		private ICategoryRepository _categoryRepository;
		#endregion

		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="CategoryManager"/> class.
		/// </summary>
		/// <param name="categoryRepository">The category repository.</param>
		public CategoryManager(ICategoryRepository categoryRepository)
		{
			if (categoryRepository == null)
			{
				throw new ArgumentNullException("categoryRepository");
			}
			_categoryRepository = categoryRepository;
		}
		#endregion

		#region Methods
		/// <summary>
		/// Gets all categories.
		/// </summary>
		/// <returns>All categories in database.</returns>
		public Collection<string> GetAllCategories()
		{
			return _categoryRepository.GetAllCategories();
		}
		#endregion
	}
}
