﻿namespace TaskPlanner.BusinessLogic
{
	using System;
	using TaskPlanner.BusinessLogic.Interfaces;
	using TaskPlanner.Repository.Interfaces;

	/// <summary>
	/// Represents class to manage database state.
	/// </summary>
	public class DatabaseManager : IDatabaseManager
	{
		#region Fields
		private IDataHelper _dataHelper;
		#endregion

		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="DatabaseManager"/> class.
		/// </summary>
		/// <param name="dataHelper">The data helper.</param>
		public DatabaseManager(IDataHelper dataHelper)
		{
			if (dataHelper == null)
			{
				throw new ArgumentNullException("dataHelper");
			}
			_dataHelper = dataHelper;
		}
		#endregion

		#region Methods
		/// <summary>
		/// Ensures the database has latest schema.
		/// </summary>
		public void EnsureDatabaseHasLatestSchema()
		{
			_dataHelper.EnsureDatabaseHasLatestSchema();
		}
		#endregion
	}
}
