﻿namespace TaskPlanner.Core
{
	using System;
	using System.ComponentModel;

	/// <summary>
	/// Represents inteface for log helpers.
	/// </summary>
	public interface ILogHelper
	{
		#region Methods
		/// <summary>
		/// Writes the error.
		/// </summary>
		/// <param name="ex">The exception.</param>
		void WriteError(Exception ex);

		/// <summary>
		/// Writes the info.
		/// </summary>
		/// <param name="provider">The provider.</param>
		/// <param name="format">The format.</param>
		/// <param name="args">The arguments.</param>
		void WriteInfo(IFormatProvider provider, string format, params object[] args);

		/// <summary>
		/// Writes the info.
		/// </summary>
		/// <param name="message">The message.</param>
		[Localizable(false)]
		void WriteInfo(string message);
		#endregion
	}
}
