﻿namespace TaskPlanner.Entities
{
	/// <summary>
	/// Represents the reason of correction of a task.
	/// </summary>
	public enum TaskCorrectionReason
	{
		/// <summary>
		/// Undefined value.
		/// </summary>
		Undefined = 0,

		/// <summary>
		/// Task was corrected because the due date is to small.
		/// </summary>
		DueDateIsTooSmall,

		/// <summary>
		/// Task was corrected because the due date was not specified.
		/// </summary>
		DueDateSuggestion,

		/// <summary>
		/// Task was corrected because the completed percentage and completed time does not corelate with estimated time.
		/// </summary>
		EstimatedTimeSuggestion,

		/// <summary>
		/// Task was corrected because the completed time and estimated time does not corelate with completed percentage.
		/// </summary>
		CompletedPercentageSuggestion,

		/// <summary>
		/// Task was corrected because it has 100 percents completed, but does not have end date.
		/// </summary>
		EndDateSuggestion
	}
}
