﻿namespace TaskPlanner.Repository.Interfaces
{
	using System;
	using System.Collections.ObjectModel;
	using TaskPlanner.Entities;

	/// <summary>
	/// Represents an interface for availabilities for specific dates.
	/// </summary>
	public interface ISpecificAvailabilityRepository
	{
		#region Methods
		/// <summary>
		/// Gets the availabilities.
		/// </summary>
		/// <param name="startDate">The start date.</param>
		/// <returns>
		/// The list of specific availabilities in specified date range.
		/// </returns>
		Collection<SpecificAvailability> GetAvailabilities(DateTime startDate);

		/// <summary>
		/// Saves the availability.
		/// </summary>
		/// <param name="availability">The availability.</param>
		void AddAvailability(SpecificAvailability availability);
		#endregion
	}
}
