﻿namespace TaskPlanner.Repository.Interfaces
{
	using System.Collections.ObjectModel;
	using TaskPlanner.Entities;

	/// <summary>
	/// Represents interface for usual availabilities repositories.
	/// </summary>
	public interface IUsualAvailabilityRepository
	{
		/// <summary>
		/// Gets the usual availabilities.
		/// </summary>
		/// <returns>Usual availabilities by days of week.</returns>
		Collection<UsualAvailability> GetUsualAvailabilities();

		/// <summary>
		/// Sets the usual availabilities.
		/// </summary>
		/// <param name="usualAvailabilities">The usual availabilities by days of week.</param>
		void SetUsualAvailabilities(Collection<UsualAvailability> usualAvailabilities);
	}
}
