﻿namespace TaskPlanner.Repository.Interfaces
{
	using TaskPlanner.Core;

	/// <summary>
	/// Represents a facade to access repositories.
	/// </summary>
	public static class RepositoryFacade
	{
		#region Properties
		/// <summary>
		/// Gets the data helper.
		/// </summary>
		/// <value>The data helper.</value>
		public static IDataHelper DataHelper
		{
			get
			{
				return ServiceLocator.Instance.Resolve<IDataHelper>();
			}
		}

		/// <summary>
		/// Gets the task repository.
		/// </summary>
		/// <value>The task repository.</value>
		public static ITaskRepository TaskRepository
		{
			get
			{
				return ServiceLocator.Instance.Resolve<ITaskRepository>();
			}
		}

		/// <summary>
		/// Gets the category repository.
		/// </summary>
		/// <value>The category repository.</value>
		public static ICategoryRepository CategoryRepository
		{
			get
			{
				return ServiceLocator.Instance.Resolve<ICategoryRepository>();
			}
		}
		#endregion
	}
}
