﻿namespace TaskPlanner.Repository.Test
{
	using System;
	using System.Diagnostics;
	using TaskPlanner.Core;

	/// <summary>
	/// Represents a log helper for tests.
	/// </summary>
	public class TestsLogHelper : ILogHelper
	{
		/// <summary>
		/// Writes the error.
		/// </summary>
		/// <param name="ex">The exception.</param>
		public void WriteError(Exception ex)
		{
			Trace.WriteLine(ex.ToString());
		}

		/// <summary>
		/// Writes the info.
		/// </summary>
		/// <param name="provider">The provider.</param>
		/// <param name="format">The format.</param>
		/// <param name="args">The arguments.</param>
		public void WriteInfo(IFormatProvider provider, string format, params object[] args)
		{
			WriteInfo(string.Format(provider, format, args));
		}

		/// <summary>
		/// Writes the info.
		/// </summary>
		/// <param name="message">The message.</param>
		public void WriteInfo(string message)
		{
			Trace.WriteLine(message);
		}
	}
}
