﻿namespace TaskPlanner.Repository
{
	using System.Collections.ObjectModel;
	using System.Linq;
	using TaskPlanner.Repository.Interfaces;
	using TaskPlanner.Repository.Model;

	/// <summary>
	/// Represents the operations with categories.
	/// </summary>
	public class CategoryRepository : ICategoryRepository
	{
		#region Methods
		/// <summary>
		/// Gets all categories.
		/// </summary>
		/// <returns>All categories in database.</returns>
		public Collection<string> GetAllCategories()
		{
			using (TaskPlannerDataContext dataContext = new TaskPlannerDataContext())
			{
				return new Collection<string>(
					(from item in dataContext.Tasks
					 select item.Category).Distinct().ToList());
			}
		}
		#endregion
	}
}
