﻿namespace TaskPlanner
{
	using System.Windows;
	using TaskPlanner.BusinessLogic.Interfaces;
	using TaskPlanner.Core;
	using TaskPlanner.Shell;
	using TaskPlanner.ViewModels;

	/// <summary>
	/// Interaction logic for App.xaml.
	/// </summary>
	public partial class App : Application
	{
		#region Methods
		/// <summary>
		/// Raises the <see cref="E:System.Windows.Application.Startup"/> event.
		/// </summary>
		/// <param name="e">A <see cref="T:System.Windows.StartupEventArgs"/> that contains the event data.</param>
		protected override void OnStartup(StartupEventArgs e)
		{
			base.OnStartup(e);
			ApplicationBootstrapper.Initialize();
			MainWindow view = new MainWindow(ServiceLocator.Instance.Resolve<IDatabaseManager>());
			MainWindowViewModel viewModel = new MainWindowViewModel(ServiceLocator.Instance.Resolve<ITaskManager>());
			view.DataContext = viewModel;
			view.Show();
		}
		#endregion
	}
}
