﻿namespace TaskPlanner.Controls
{
	using System;
	using System.Windows.Controls;

	/// <summary>
	/// Interaction logic for DailyWorkload.xaml.
	/// </summary>
	public partial class DailyWorkload : UserControl
	{
		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="DailyWorkload"/> class.
		/// </summary>
		public DailyWorkload()
		{
			InitializeComponent();
		}
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the hours column header.
		/// </summary>
		/// <value>The hours column header.</value>
		public string HoursColumnHeader
		{
			get
			{
				string result = string.Empty;
				if (ContentGrid.Columns.Count >= 2)
				{
					result = ContentGrid.Columns[1].Header.ToString();
				}
				return result;
			}

			set
			{
				if (ContentGrid.Columns.Count >= 2)
				{
					ContentGrid.Columns[1].Header = value;
				}
				else
				{
					throw new InvalidOperationException("There is less than two columns in the grid.");
				}
			}
		}
		#endregion
	}
}
