﻿namespace TaskPlanner.Controls
{
	using System;
	using System.Windows;
	using System.Windows.Controls;

	/// <summary>
	/// Interaction logic for DatePickerWithLabel.xaml.
	/// </summary>
	public partial class DatePickerWithLabel : UserControl
	{
		#region Fields
		public static readonly DependencyProperty DatePickerSelectedDateProperty =
			DependencyProperty.Register("DatePickerSelectedDate", typeof(DateTime?), typeof(DatePickerWithLabel), new UIPropertyMetadata(null));
		#endregion

		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="DatePickerWithLabel"/> class.
		/// </summary>
		public DatePickerWithLabel()
		{
			InitializeComponent();
		}
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the label text.
		/// </summary>
		/// <value>The label text.</value>
		public string LabelText
		{
			get
			{
				return Label.Text;
			}

			set
			{
				Label.Text = value;
			}
		}

		/// <summary>
		/// Gets or sets the date picker selected date.
		/// </summary>
		/// <value>The date picker selected date.</value>
		public DateTime DatePickerSelectedDate
		{
			get
			{
				return (DateTime)GetValue(DatePickerSelectedDateProperty);
			}

			set
			{
				SetValue(DatePickerSelectedDateProperty, value);
			}
		}
		#endregion
	}
}
