﻿namespace TaskPlanner.ViewModels
{
	/// <summary>
	/// Represents an availability for the day.
	/// </summary>
	public class DailyAvailabilityViewModel : ViewModelBase
	{
		#region Fields
		private readonly string _dayName;
		private float _availability;
		#endregion

		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="DailyAvailabilityViewModel"/> class.
		/// </summary>
		/// <param name="dayName">The name of the day.</param>
		/// <param name="availability">The availability for the day.</param>
		public DailyAvailabilityViewModel(string dayName, float availability)
		{
			_dayName = dayName;
			_availability = availability;
		}
		#endregion

		#region Properties
		/// <summary>
		/// Gets the name of the day.
		/// </summary>
		/// <value>The name of the day.</value>
		public string DayName
		{
			get
			{
				return _dayName;
			}
		}

		/// <summary>
		/// Gets or sets the availability for the day.
		/// </summary>
		/// <value>The availability for the day.</value>
		public float Availability
		{
			get
			{
				return _availability;
			}

			set
			{
				_availability = value;
			}
		}
		#endregion
	}
}
